# Class File

Class File

Declaration :

- C++ : class File

Relation descriptor (descriptor)

Declaration :

- Uml : # descriptor : FileHandle
- C++ : protected: FileHandle * descriptor

type of this frame

Operation getFrame

Declaration :

- Uml : + getFrame(in : FrameDescriptor, in frame_address : , in mode : ) : Frame
- C++ : public: Frame getFrame()

mode = READ, WRITE, ...

Relation handle (<directional aggregation>)

Declaration :

- Uml : # handle : FileHandle, multiplicity : 0..1
- C++ : protected: FileHandle * handle

weak pointer

Relation mappings (<directional aggregation>)

Declaration :

- Uml : # mappings : FileMap, multiplicity : *
- C++ : protected: FileMap * mappings

weak pointers

Relation <aggregation>

Declaration :

- Uml : # : FileProvider
- C++ : protected: FileProvider *

All public operations : getFrame